@17140@
@13830@
@13245@
@13635@
@13440@
@13245@

Modified by Robert H”hne to be used for RHIDE.

@13245@
@13245@
@14024@

@14828@
@14852@
@14755@
@16849@
@16751@
@16727@
@16745@

TValidator::TValidator() : Status(0), Options(0)
@23372@
@24151@

Boolean TValidator::IsValid(const char *)
@23372@
@12886@
@24151@

Boolean TValidator::IsValidInput(char *,Boolean)
@23372@
@12886@
@24151@

ushort TValidator::Transfer(char *,void *,TVTransfer)
@23372@
@12873@
@24151@

Boolean TValidator::Valid(const char *S)
@23372@
  if (IsValid(S) == True) return True;
  Error();
@12882@
@24151@

#if !defined( NO_STREAM )
TValidator::TValidator(StreamableInit)
@23372@
@24151@

void TValidator::write(opstream & os)
@23372@
  os << Status << Options;
@24151@

void * TValidator::read(ipstream & is)
@23372@
  is >> Status >> Options;
@12904@
@24151@
#endif // NO_STREAM

